# $Revision: 1.18 $, $Date: 2010/09/29 07:36:13 $
Summary:	xsm application - X Session Manager
Summary(pl.UTF-8):	Aplikacja xsm - zarządca sesji X
Name:		xorg-app-xsm
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xsm-%{version}.tar.bz2
# Source0-md5:	521d2a34c6dbc0700f489290d51b0b67
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xsm application is a session manager. A session is a group of
applications, each of which has a particular state. xsm allows you to
create arbitrary sessions - for example, you might have a "light"
session, a "development" session, or an "xterminal" session. Each
session can have its own set of applications. Within a session, you
can perform a "checkpoint" to save application state, or a "shutdown"
to save state and exit the session. When you log back in to the
system, you can load a specific session, and you can delete sessions
you no longer want to keep.

%description -l pl.UTF-8
Aplikacja xsm to zarządca sesji. Sesja to grupa aplikacji, z których
każda jest w jakimś stanie. xsm pozwala tworzyć dowolne sesje - np.
można mieć sesję "light", "development" i "xterminal". Każda sesja
może mieć własny zbiór aplikacji. W ramach sesji można wykonać
operację "checkpoint" w celu zapisania stanu aplikacji lub "shutdown",
aby zapisać stan i zakończyć sesję. Po ponownym zalogowaniu do systemu
można wczytać określoną sesję; można także usunąć sesje już
niepotrzebne.

%prep
%setup -q -n xsm-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-rsh=/usr/bin/ssh

%{__make} \
	SYSTEM_INIT_DIR=/etc/X11/xsm

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SYSTEM_INIT_DIR=/etc/X11/xsm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xsm
%{_datadir}/X11/app-defaults/XSm
%dir /etc/X11/xsm
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xsm/system.xsm
%{_mandir}/man1/xsm.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xsm.spec,v $
Revision 1.18  2010/09/29 07:36:13  qboosh
- updated to 1.0.2
- removed obsolete xaw patch
- real descs
- updated RSH default to /usr/bin/ssh

Revision 1.17  2008/11/11 16:32:33  arekm
- rel 5; fix xaw build

Revision 1.16  2008/11/09 11:11:56  arekm
- rel 4; don't rebuild am/ac untill rebuild tarball available

Revision 1.15  2008/11/07 20:51:59  arekm
- release 3

Revision 1.14  2008/07/27 23:02:53  arekm
- release 2

Revision 1.13  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/16 06:17:12  qboosh
- changed config dir to /etc/X11/xsm (following X11-PLD.patch)
- use individual dir, more verbose files, release 1

Revision 1.10  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.9  2006/01/13 09:31:13  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/11/19 22:32:42  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 17:15:03  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch
- set RSH to /usr/bin/rsh, don't BR rsh at build time

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 22:17:14  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: heimdal-rsh

* Sun Aug 14 2005 22:07:03  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xsm-man.patch
- added BR: libXaw-devel
- release 0.02

* Mon Aug  8 2005 15:11:07  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
